petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetCheckNormIteration

Sets the first iteration at which the norm of the residual will be computed and used in the convergence test.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetCheckNormIteration(KSP ksp,PetscInt it)

Logically Collective on KSP Many br

### Input Parameter

| ksp | - Krylov solver context Many br
| it | - use -1 to check at all iterations Many br

### Notes

Currently only works with KSPCG, KSPBCGS and KSPIBCGS Many br

Use KSPSetNormType(ksp,KSP_NORM_NONE) to never check the norm Many br

On steps where the norm is not computed, the previous norm is still in the variable, so if you run with, for example, Many br-ksp_monitor the residual norm will appear to be unchanged for several iterations (though it is not really unchanged). Many br Many br

### Keywords

KSP, create, context, norms

### See Also

KSPSetUp(), KSPSolve(), KSPDestroy(), KSPConvergedSkip(), KSPSetNormType()

Level:advanced
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages